using System;
using System.Data;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using EKETEAM.Data;
using EKETEAM.FrameWork;

namespace eFrameWork.Customs.Base
{
    public partial class CheckupRecords : System.Web.UI.Page
    {

        protected void Page_Load(object sender, EventArgs e)
        {
            string AppItem = eParameters.QueryString("AppItem");
            string parentModelID = eParameters.QueryString("modelid");
            string parentID = eParameters.QueryString("id");
            string modelid = eParameters.QueryString("modelid");
            if ((parentModelID.Length > 0 || AppItem.Length > 0) && parentID.Length > 0)
            {
                eList elist1 = new eList("a_eke_sysCheckupRecords");
                elist1.Where.Add("CheckupContentId='" + parentID + "'");
                if (modelid.Length > 0) elist1.Where.Add("modelid='" + modelid + "'");
                elist1.OrderBy.Add("addTime");
                elist1.Bind(eListControl1);
                if (eListControl1.DataSource.Rows.Count == 0)
                {
                    Response.Write("无");
                }
            }
            string act = eParameters.QueryString("act");
            if (act == "add")
            {
                Response.Write("无");
            }
        }
    }
}